org.eclipse.net4j.util.om.trace

## Class RemoteTraceServer.Event

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.om.trace.RemoteTraceServer.Event

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    RemoteTraceServer

      public static class RemoteTraceServer.Event
      extends java.util.EventObject

  A trace event being passed by a remote trace `server` to `registered` `listeners`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `agentID`
    `protected java.lang.String` | `bundleID`
    `protected java.lang.String` | `context`
    `protected java.lang.String` | `message`
    `protected java.lang.StackTraceElement[]` | `stackTrace`
    `protected java.lang.String` | `throwable`
    `protected java.lang.String` | `tracerName`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Event(RemoteTraceServer server)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAgentID()`
    `java.lang.String` | `getBundleID()`
    `java.lang.String` | `getContext()`
    `long` | `getID()`
    `java.lang.String` | `getMessage()`
    `RemoteTraceServer` | `getRemoteTraceServer()`
    `java.lang.StackTraceElement[]` | `getStackTrace()`
    `java.lang.String` | `getText(int index)`
    `java.lang.String` | `getThrowable()`
    `long` | `getTimeStamp()`
    `java.lang.String` | `getTracerName()`
    `boolean` | `hasError()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### agentID

          protected java.lang.String agentID

      Since:
        3.2

    - #### bundleID

          protected java.lang.String bundleID

      Since:
        3.2

    - #### tracerName

          protected java.lang.String tracerName

      Since:
        3.2

    - #### context

          protected java.lang.String context

      Since:
        3.2

    - #### message

          protected java.lang.String message

      Since:
        3.2

    - #### throwable

          protected java.lang.String throwable

      Since:
        3.2

    - #### stackTrace

          protected java.lang.StackTraceElement[] stackTrace

      Since:
        3.2

  - ### Constructor Detail

    - #### Event

          protected Event(RemoteTraceServer server)

      Since:
        3.2

  - ### Method Detail

    - #### getRemoteTraceServer

          public RemoteTraceServer getRemoteTraceServer()

    - #### getID

          public long getID()

    - #### getTimeStamp

          public long getTimeStamp()

    - #### getAgentID

          public java.lang.String getAgentID()

    - #### getBundleID

          public java.lang.String getBundleID()

    - #### getContext

          public java.lang.String getContext()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getStackTrace

          public java.lang.StackTraceElement[] getStackTrace()

    - #### getThrowable

          public java.lang.String getThrowable()

    - #### getTracerName

          public java.lang.String getTracerName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

    - #### getText

          public java.lang.String getText(int index)

    - #### hasError

          public boolean hasError()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html